Skip to main content
GET
Get a specific topic enrolment

Authorizations

Authorization
string
header
required

Your organisation's API key, sent as Authorization: my_api_key. The key can also be passed as an api_key query parameter. See Authentication.

Path Parameters

id
integer
required

The unique identifier of a topic enrolment

Response

The topic enrolment

id
integer
created_at
string<date-time>
updated_at
string<date-time>
completed_topic_at
string<date-time> | null

When the topic was completed, or null

status
enum<string>

Progress of the enrolment: Pre-enrolled, Unexplored, Exploring, Applying or Conquered (completed)

Available options:
Pre-enrolled,
Unexplored,
Exploring,
Applying,
Conquered
due_date
string<date-time> | null
relationship
enum<string>

reader (explorer), author (creator) or assessor

Available options:
reader,
author,
assessor
conquered_minutes
number | null

Minutes recorded on completion

conquered_cpd_minutes
number | null

Minutes recorded on completion

enrolled_by
string | null
certified_date
string | null

Date the certification is valid until, or null

recertification_allowed
boolean
version
string | null

Version of the topic completed, or null

skills_attained
object[]
categories
object[]

Continuing education categories recorded on completion

person
object
topic
object